<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: indicador_borrar.php
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es) 
//---------------------------------------------------------------------------------------------------
// Descripcion: Borra un indicador
//---------------------------------------------------------------------------------------------------
require_once('function/sanitize.php');
global $smarty;
global $basedatos;
global $operario;
global $page;
global $plantilla;
$smarty->assign('_javascript' , array('confirmar_borrar'));

if (isset($_REQUEST['id_indicador']) && isset($_REQUEST['id_entidad']) )
{
	$id_entidad = sanitize($_REQUEST['id_entidad'],16);
	$id_indicador = sanitize($_REQUEST['id_indicador'],16);
	$indicador = new indicador($basedatos);
	$smarty->assign('indicador' , $indicador->obtener_datos($id_indicador));
	$entidad = new entidad($basedatos);
	$smarty->assign('entidad' , $entidad->obtener_datos($id_entidad));
	$smarty->assign('indicadores' , $entidad->listar_indicadores($id_entidad));
	$smarty->assign('_nombre_pagina' , $entidad->datos['nombre']); 
	$plantilla = 'indicador_listar.tpl';
	if ($indicador->borrar($id_indicador))
	{
		$smarty->assign('indicadores' , $entidad->listar_indicadores($id_entidad));
		$smarty->assign('aviso' , 'Se ha borrado el indicador.');
	}
	else
	{
		$smarty->assign('error', $indicador->error); 
	}
}
else // falta id_indicador o id_entidad
{
	$smarty->assign('error', 'Faltan parámetros para realizar esta acción.'); 
	$smarty->assign('_nombre_pagina','Error');
	$plantilla = 'error.tpl';
}
?>
